Class UmlBaseAttribute

Manage the class's attributs

Declaration :

- C++ : class UmlBaseAttribute : public UmlClassMember
- Java : abstract class UmlBaseAttribute extends UmlClassMember

Directly inherited by : UmlAttribute

Artifact : UmlBaseAttribute

Operation create

returns a new attribute named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlClass, in s : str) : UmlAttribute, exceptions : RuntimeException
- C++ : public: static UmlAttribute * create(UmlClass * parent, const char * s)
- Java : public static UmlAttribute create(UmlClass parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation isReadOnly

indicates if the attribute is read only, returns TRUE if yes

Declaration :

- Uml : + isReadOnly() : bool
- C++ : public: bool isReadOnly()
- Java : public boolean isReadOnly()

Operation set_isReadOnly

to set the 'read only' state of the attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isReadOnly(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isReadOnly(bool y)
- Java : public void set_isReadOnly(boolean y) throws RuntimeException

Operation defaultValue

returns the default attribute value, may be an empty string

Declaration :

- Uml : + defaultValue() : string
- C++ : public: const QCString & defaultValue()
- Java : public String defaultValue()

Operation set_DefaultValue

to set the default attribute value ("" allowed)
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_DefaultValue(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_DefaultValue(const char * s)
- Java : public void set_DefaultValue(String s) throws RuntimeException

Operation type

returns the attribute UML type

Declaration :

- Uml : + type() : UmlTypeSpec
- C++ : public: const UmlTypeSpec & type()
- Java : public UmlTypeSpec type()

Operation set_Type

to set the attribute UML type
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Type(in t : UmlTypeSpec) : bool, exceptions : RuntimeException
- C++ : public: bool set_Type(const UmlTypeSpec & t)
- Java : public void set_Type(UmlTypeSpec t) throws RuntimeException

Operation multiplicity

returns the multiplicity (may be an empty string)

Declaration :

- Uml : + multiplicity() : string
- C++ : public: const QCString & multiplicity()
- Java : public String multiplicity()

Operation set_Multiplicity

to set the multiplicity
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Multiplicity(in s : str, inout : ) : bool, exceptions : RuntimeException
- C++ : public: bool set_Multiplicity(const char * s)
- Java : public void set_Multiplicity(String s) throws RuntimeException

Operation getOperation

returns the 'get' operation of the attribute, or 0 if it does not exist

Declaration :

- Uml : + getOperation() : UmlOperation
- C++ : public: UmlOperation * getOperation()
- Java : public UmlOperation getOperation()

Operation addGetOperation

to generate an associated 'get' operation
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + addGetOperation() : bool, exceptions : RuntimeException
- C++ : public: bool addGetOperation()
- Java : public void addGetOperation() throws RuntimeException

Operation setOperation

returns the 'set' operation of the attribute, or 0 if it does not exist

Declaration :

- Uml : + setOperation() : UmlOperation
- C++ : public: UmlOperation * setOperation()
- Java : public UmlOperation setOperation()

Operation addSetOperation

to generate an associated 'set' operation
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + addSetOperation() : bool, exceptions : RuntimeException
- C++ : public: bool addSetOperation()
- Java : public void addSetOperation() throws RuntimeException

Operation isCppMutable

Indicate if the attribute is 'mutable'

Declaration :

- Uml : + isCppMutable() : bool
- C++ : public: bool isCppMutable()
- Java : public boolean isCppMutable()

Operation set_isCppMutable

Set if the attribute is 'mutable'
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isCppMutable(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isCppMutable(bool y)
- Java : public void set_isCppMutable(boolean y) throws RuntimeException

Operation isJavaTransient

indicates if the attribute is 'transient', returns TRUE if yes

Declaration :

- Uml : + isJavaTransient() : bool
- C++ : public: bool isJavaTransient()
- Java : public boolean isJavaTransient()

Operation set_isJavaTransient

to set the 'transient' state of the attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isJavaTransient(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isJavaTransient(bool y)
- Java : public void set_isJavaTransient(boolean y) throws RuntimeException

Operation idlCase

in case the attribute is an IDL union's member returns the
corresponding 'case', an empty string in case it is not specified

Declaration :

- Uml : + idlCase() : string
- C++ : public: QCString idlCase()
- Java : public String idlCase()

Operation set_IdlCase

to set the 'case' even the attribute is not (already) known as
an IDL union's member
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_IdlCase(inout a : UmlAttribute) : bool, exceptions : RuntimeException
- C++ : public: bool set_IdlCase(UmlAttribute * a)
- Java : public void set_IdlCase(UmlAttribute a) throws RuntimeException

Operation set_IdlCase

to set the 'case' even the attribute is not (already) known as
an IDL union's member
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_IdlCase(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_IdlCase(const char * s)
- Java : public void set_IdlCase(String s) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded
automatically if needed. args unused

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribut _read_only

Declaration :

- Uml : - _read_only : bool
- C++ : private: bool _read_only
- Java : private boolean _read_only

Attribut _multiplicity

Declaration :

- Uml : + _multiplicity : string
- C++ : public: QCString _multiplicity
- Java : public String _multiplicity

Attribut _cpp_mutable

Declaration :

- Uml : - _cpp_mutable : bool
- C++ : private: bool _cpp_mutable
- Java : private boolean _cpp_mutable

Attribut _java_transient

Declaration :

- Uml : - _java_transient : bool
- C++ : private: bool _java_transient
- Java : private boolean _java_transient

Attribut _default_value

Declaration :

- Uml : - _default_value : string
- C++ : private: QCString _default_value
- Java : private String _default_value

Relation _type (<directional composition>)

Declaration :

- Uml : - _type : UmlTypeSpec
- C++ : private: UmlTypeSpec _type
- Java : private UmlTypeSpec _type

Relation _get_oper (<unidirectional association>)

Declaration :

- Uml : - _get_oper : UmlOperation
- C++ : private: UmlOperation * _get_oper
- Java : private UmlOperation _get_oper

Relation _set_oper (<unidirectional association>)

Declaration :

- Uml : - _set_oper : UmlOperation
- C++ : private: UmlOperation * _set_oper
- Java : private UmlOperation _set_oper

Relation _idl_case (<unidirectional association>)

exclusive with idl_explicit_case

Declaration :

- Uml : - _idl_case : UmlAttribute
- C++ : private: UmlAttribute * _idl_case
- Java : private UmlAttribute _idl_case

Attribut _idl_explicit_case

Declaration :

- Uml : - _idl_explicit_case : string
- C++ : private: QCString _idl_explicit_case
- Java : private String _idl_explicit_case

Operation UmlBaseAttribute

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlBaseAttribute(in id : item_id, in n : string) :
- C++ : public: UmlBaseAttribute(void * id, const QCString & n)
- Java : public UmlBaseAttribute(long id, String n)

Operation read_uml_

internal, do NOT use it

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

internal, do NOT use it

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

internal, do NOT use it

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

Operation read_php_

internal, do NOT use it

Declaration :

- Uml : # read_php_() : void
- C++ : protected: virtual void read_php_()
- Java : protected void read_php_()

Operation read_idl_

internal, do NOT use it

Declaration :

- Uml : # read_idl_() : void
- C++ : protected: virtual void read_idl_()
- Java : protected void read_idl_()

All public operations : addGetOperation , addSetOperation , apply , children , childrenVisible , constraint , cppDecl , cppVisibility , create , defaultValue , defined_ , deleteIt , description , getIdentifier , getOperation , identifier_ , idlCase , idlDecl , isClassMember , isCppMutable , isJavaTransient , isMarked , isReadOnly , isToolRunning , isVolatile , isWritable , javaAnnotations , javaDecl , kind , kind , markedItems , moveAfter , multiplicity , name , parent , phpDecl , properties , propertyValue , referencedBy , set_childrenVisible , set_Constraint , set_CppDecl , set_CppVisibility , set_DefaultValue , set_Description , set_IdlCase , set_IdlCase , set_IdlDecl , set_isClassMember , set_isCppMutable , set_isJavaTransient , set_isMarked , set_isReadOnly , set_isVolatile , set_JavaAnnotations , set_JavaDecl , set_Multiplicity , set_Name , set_PhpDecl , set_PropertyValue , set_Stereotype , set_Type , set_Visibility , setOperation , stereotype , supportFile , type , unload , unload , unload , visibility